Subject: Re: EGCS 1.0.2: weird include paths with gcc -b, specs, etc
From: [email-masked] (Paul Garceau)

23 Aug 1998 01:26:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi folks,

On 21 Aug 98, at 14:56, the Illustrious Mumit Khan wrote:

> On Mon, 17 Aug 1998, Fieldhouse, Dirk wrote:
> 
> > ref: Earnie Boyd's http://www.cygnus.com/ml/gnu-win32/1998-Apr/0028.html
> > 
> > I'm trying to set up a dual cygwin32/mingw32 environment with the egcs 1.0.2
> > cygwin32 binaries and being defeated by some strange behaviour with search
> > paths.
> > 
> > The binary distribution of egcs-1.0.2 for cygwin32 seems to have some
> > hard-wired directories built into it, specifically
> > 
> > 	../../../../../include
> > and 
> >  	../../../../i386-cygwin32/include
> > 
> 
> Yeah, this is what I call the "Cygnus unlibsubdir" patch that is standard
> with Cygnus built distributions. Basically, unlibsubdir patch relocates 
> the entire GCC package with only one env variable -- GCC_EXEC_PREFIX -- 
> and everything is accessed relative to that. This change affects the
> language drivers, cpp and proto tools only.
> 
> As with any choice of this type, there are pros and cons. I had built the 
> first mingw32 release without this, and hence you needed all the other 
> environment variables to run. I supplied a bat file to make life simple, 
> and then ended up answering so many email messages that I got rather sick 
> and tired of it. So, for egcs-1.0.2, and it will be so for egcs-1.1, I 
> added this patch and haven't received a single message about not being 
> able to run GCC due to incorrect variable setting. I believe Earnie was 
> the only person to voice his opposition to this, but then again, he is 
> more than a casual user, and fully capable of rebuilding from sources.
> 
> I need to weigh my time against other factors, and unless someone provides
> a different mechanism, while keeping the "relocatability" feature, I'm
> afraid this feature (or bug, depending on who you are) is here to stay.

	I am not sure what the situation is with Earnies platform.

	Mine is an i86/NT4 and has had the Posix utilities added from 
the MS NT4 Workstation Resource Kit.

	This set of Posix utilities, if anyone would wish to re-build them, 
 need to be built under NTFS.  The pre-built binaries themselves 
function just fine in a FAT partition.

	The source and pre-built binaries are copyright to The Regents 
of the University of California and based in part on BSD Networking 
software licensed from the University of California, Berkeley.

	This set of utilities recognizes the "Cygnus unlibsubdir" as a 
valid directory reference simply because it is a fully compatible 
directory structure as far as the included Posix utilities are 
concerned.

	As a suggestion, for those of you who do have problems with 
this "Cygnus unlibsubdir" who _are_ using an MS/i86 based 
platform might want to take note and see if you can get the above 
mentioned utilities for your respective operating system(s).

	Hope this helps.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".